function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"7",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;

function mini_create ()
show_help_wnd=true;
			init_mini(1);
	create_mini(19,12,30,250,70,500,500,1001,1,6,0,-1);
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

	
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"7",100,"messageinfo")
		end;		
	   BlockCursor(false);
	return;end;
	if sender==30 then
		setcurentleaf("albert_kab",17,1);
		DarkScreen(false);
		if flags.minicomplete6 then
		    StopEmiter("Map");
			AddParticleToObject(2,"Block",0,0);
			StartEmiter("Block");
			MoveEmiter("Block",384,162);	
			playeffect("paper");						
			Set_Cursor(61,3);
			speciale_action(2,61,true);
			speciale_action(2,67,true); 
			Set_Cursor(67,2);
			 flags.mapout=true;
			--AddParticleToObject(67,"./particles/particle2.psi");
		return;end;
	return; end;
	
	if sender==36 then
		if id==2100 then
		BlockCursor(false);
		clear_satelite_leaf("albert_kab");
		return;end;
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==10 then
		flags.minicomplete6=true;
		playeffect("miniC");
		StartTimer(2100,3);
		BlockCursor(true);
	return; end;
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender==1 then
		if id==6000 then
			   CreateWindow(200,200,"7",100,"messageinfo")
		return;end;	 	
		if id==5000 and skipping and objectid==0 then
			if not flags.minicomplete6 then
				playeffect("skip");
				SkipMini();
			return;end;
		return;end;
		if id==1000 and objectid==0 then
			playeffect("close");
		   clear_satelite_leaf("albert_kab");
		   finish_mini_game(false);
			DeleteResource("qm1_parts");
			DeleteResource("qm1_bg");
			DeleteResource("qm1_btn");
			DeleteResource("qm1_reset");
		return;end;
		if not flags.minicomplete6 then
			if id>=1001 and id<=1012 then --нажимаем на часть телеграммы
				add_to_mouse(id);
				mousepresed=true;
				objectid=id;
			return 0; end	
		return;end;		
	return;end;
	if sender == 6 --Отпустили левую кнопку мышки
	then		
		if flags.minicomplete6 then
		   clear_satelite_leaf("albert_kab");
		return;end;
		if mousepresed==true
		then
			playeffect("pclick");
			RemoveFromMouse(objectid);
			check_mini_game_puzzle(objectid);
			mousepresed=false;
			objectid=0;
		end
	return; end;
			
end;
function mini_delete ()

end;